Get Flex Plans
Get Flex Plans
Get a list of available Flex investment plans with available terms and interest rates via the V4 API.
POST
Get Flex Plans
These endpoints are available only for B2B partner services. Fill the form at https://whitebit.com/institutional-services/b2b to request access.
The
id field in each returned plan object is the planId value required by the flex investment creation endpoint (POST /api/v4/main-account/smart-flex/investments/invest). Only plans returned by this endpoint can be used to create new investments — plans with inactive or paused status are excluded automatically.Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Request signature
Example:
"{{request}}"
Unique request identifier
Example:
"{{nonce}}"
Pagination limit.
Required range:
x <= 100Example:
50
Pagination offset.
Required range:
x >= 0Example:
0